- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# checkpoint_task_facts – Get task objects facts on Check Point over Web Services API

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- Get task objects facts on Check Point devices. All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
task_id string / required |  | ID of the task object.

## Examples

    - name: Get task facts
      checkpoint_task_facts:
        task_id: 2eec70e5-78a8-4bdb-9a76-cfb5601d0bcb

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Ansible by Red Hat (@rcarrillocruz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.